const db = require("quick.db");

module.exports = {
  name: "unmute",
  category: "moderation",
  run: async (client, message, args) => {
    if (!message.member.hasPermission("MANAGE_ROLES")) {
      return message.channel.send(
        "Tut mir leid, aber Sie sind nicht berechtigt, die Stummschaltung von Personen aufzuheben"
      );
    }

    if (!message.guild.me.hasPermission("MANAGE_ROLES")) {
      return message.channel.send("Ich bin nicht berechtigt, Rollen zu verwalten.");
    }

    const user = message.mentions.members.first();

    if (!user) {
      return message.channel.send("Bitte erwähnen Sie das Mitglied, für das Sie die Stummschaltung aufheben möchten");
    }

    let muterole = message.guild.roles.cache.find(x => x.name === "Muted");

    if (user.roles.cache.has(muterole)) {
      return message.channel.send("Der gegebene Benutzer hat keine stumme Rolle, also was ich nehmen soll");
    }

    user.roles.remove(muterole)

    await message.channel.send(`**${message.mentions.users.first().username}** is now unmuted`);

    user.send(`Die Stummschaltung ist jetzt aufgehoben **${message.guild.name}**`);
    
    message.delete()
  }
};
